# V3Treasury

해당 컨트랙트는 V3 풀 에어드랍 운영을 관리합니다. 권한을 가진 운영자는 V3Treasury 계약을 통해 에어드롭을 설정하고 실행할 수 있습니다. Airdrop은 token0과 token1만 가능합니다.

## Code

Github Link: (Will be updated after official launch)<br>

## Address

* Cypress : [0x715790379c975D733192173F0306F129685600A1](https://klaytnscope.com/account/0x715790379c975D733192173F0306F129685600A1?tabId=txList)

## Events, Read-Only Functions, and State-Changing Functions

{% tabs %}
{% tab title="Events" %}

## Events

**DeployAirdropOperator**

```solidity
event DeployAirdropOperator(address operator);
```

{% endtab %}

{% tab title="State-Changing Functions" %}

## **State-Changing Functions**

**deployAirdropOperator**

```solidity
function deployAirdropOperator(
    address token, 
    address pool
) external returns (
    address operator
)
```

**Parameters:**[**​**](https://docs.uniswap.org/contracts/v3/reference/periphery/NonfungiblePositionManager#parameters)

<table><thead><tr><th width="139.66666666666666">Name</th><th width="109">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>token</code></td><td>address</td><td>에어드랍 할 토큰 주소</td></tr><tr><td><code>pool</code></td><td>address</td><td>에어드랍할 풀 주소</td></tr></tbody></table>

**Return Values:**[**​**](https://docs.uniswap.org/contracts/v3/reference/periphery/NonfungiblePositionManager#parameters)

<table><thead><tr><th width="139.66666666666666">Name</th><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>operator</code></td><td>address</td><td>V3AirdropOperator이 배포된 주소</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-new.klayswap.com/developers/contract/v3treasury.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
